Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006540TestLinkDatabase MS-SQLpublic2014-08-30 19:572015-03-04 16:29
Reporternlupu 
Assigned Tofman 
PriorityimmediateSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version1.9.11 (2014 Q2 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006540: Error creating tables into database using the script provided with 1.9.11
DescriptionConnect SQL server 2008 with "sa" user
I created a database named "testlink", and i executed the script "testlink_create_tables.sql". I get error because the constraint PK_execution already exist
TagsNo tags attached.
Database (MySQL,Postgres,etc)SQL Server 2005/2008 Express, Standard Enterprise
BrowserIE, CHROME
PHP Version5.5.16
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006541closedfman Error creating Test Cases (windows env. , SQL Server SPANISH) 
related to 0006980closedfman Problem database MSSQL Update from 1.9.9.0 to 1.9.13.0: 

-  Notes
(0021518)
fman (administrator)
2014-08-31 15:55

>> I created a database named "testlink",
>> and i executed the script "testlink_create_tables.sql". I get error because >> the constraint PK_execution already exist

1. why you do not have used the installer ?

2. have you checked the testlink_create_tables.sql file to understand if may be there is a typo error ?
(0021519)
fman (administrator)
2014-08-31 16:53

Error found (due to a copy & paste)
--
-- Table structure for table "execution_tcsteps"
--
CREATE TABLE /*prefix*/execution_tcsteps (
   execution_id int NOT NULL CONSTRAINT /*prefix*/DF_execution_tcsteps_execution_id DEFAULT ((0)),
   tcstep_id int NOT NULL CONSTRAINT /*prefix*/DF_execution_tcsteps_tcstep_id DEFAULT ((0)),
   notes nvarchar(max) NULL CONSTRAINT /*prefix*/DF_execution_tcsteps_notes DEFAULT (NULL),
   status char(1) NULL CONSTRAINT /*prefix*/DF_execution_tcsteps_status DEFAULT (NULL),
ORIGINAL - BAD
CONSTRAINT /*prefix*/PK_executions PRIMARY KEY CLUSTERED
OK =>
CONSTRAINT /*prefix*/PK_executions_tcsteps PRIMARY KEY CLUSTERED

  (
  execution_id,tcstep_id ASC
  ) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];

- Issue History
Date Modified Username Field Change
2014-08-30 19:57 nlupu New Issue
2014-08-31 15:55 fman Note Added: 0021518
2014-08-31 15:55 fman Assigned To => fman
2014-08-31 15:55 fman Status new => feedback
2014-08-31 16:53 fman Note Added: 0021519
2014-08-31 16:53 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-08-31 16:53 fman Status feedback => closed
2014-08-31 16:53 fman Resolution open => fixed
2014-08-31 16:53 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-08-31 16:55 fman Relationship added related to 0006541
2015-03-04 16:29 fman Relationship added related to 0006980



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker